package com.sifang.modules.sunshine.SystemSetting.entity;

import org.hibernate.annotations.GenericGenerator;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author hongzq
 */
@Entity
@Table(name = "crm_project_setting")
public class CrmProjectSetting implements Serializable {

    private String id;

    private String code;

    private String name;

    private String productLineId;

    private String epcCompanyId;

    private String projectCompanyId;

    private BigDecimal epcPrice;

    private String payCycle;

    private String status;

    private String createBy;

    private String creator;

    private Date createTime;

    private String updateBy;

    private String updator;

    private Date updateTime;

    private String installModeId;

    private String installModeName;

    private String managementType;

    private String filingType;

    private Integer assemblySpecs;

    private String management;

    private String connectManageFlag;
    private String buyInsuranceFlag;
    private String insuranceId;

    private String stateAuthorizedFlag;

    public String getStateAuthorizedFlag() {
        return stateAuthorizedFlag;
    }

    public void setStateAuthorizedFlag(String stateAuthorizedFlag) {
        this.stateAuthorizedFlag = stateAuthorizedFlag;
    }

    public String getManagement() {
        return management;
    }

    public void setManagement(String management) {
        this.management = management;
    }

    public Integer getAssemblySpecs() {
        return assemblySpecs;
    }

    public void setAssemblySpecs(Integer assemblySpecs) {
        this.assemblySpecs = assemblySpecs;
    }

    public String getInstallModeId() {
        return installModeId;
    }

    public void setInstallModeId(String installModeId) {
        this.installModeId = installModeId;
    }

    public String getInstallModeName() {
        return installModeName;
    }

    public void setInstallModeName(String installModeName) {
        this.installModeName = installModeName;
    }

    @Id
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getUpdator() {
        return updator;
    }

    public void setUpdator(String updator) {
        this.updator = updator;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getManagementType() {
        return managementType;
    }

    public void setManagementType(String managementType) {
        this.managementType = managementType;
    }

    public String getProductLineId() {
        return productLineId;
    }

    public void setProductLineId(String productLineId) {
        this.productLineId = productLineId;
    }

    public String getEpcCompanyId() {
        return epcCompanyId;
    }

    public void setEpcCompanyId(String epcCompanyId) {
        this.epcCompanyId = epcCompanyId;
    }

    public String getProjectCompanyId() {
        return projectCompanyId;
    }

    public void setProjectCompanyId(String projectCompanyId) {
        this.projectCompanyId = projectCompanyId;
    }

    public BigDecimal getEpcPrice() {
        return epcPrice;
    }

    public void setEpcPrice(BigDecimal epcPrice) {
        this.epcPrice = epcPrice;
    }

    public String getPayCycle() {
        return payCycle;
    }

    public void setPayCycle(String payCycle) {
        this.payCycle = payCycle;
    }

    public String getFilingType() {
        return filingType;
    }

    public void setFilingType(String filingType) {
        this.filingType = filingType;
    }

    public String getConnectManageFlag() {
        return connectManageFlag;
    }

    public void setConnectManageFlag(String connectManageFlag) {
        this.connectManageFlag = connectManageFlag;
    }

    public String getBuyInsuranceFlag() {
        return buyInsuranceFlag;
    }

    public void setBuyInsuranceFlag(String buyInsuranceFlag) {
        this.buyInsuranceFlag = buyInsuranceFlag;
    }

    public String getInsuranceId() {
        return insuranceId;
    }

    public void setInsuranceId(String insuranceId) {
        this.insuranceId = insuranceId;
    }
}
